JSON2STEMS(1)

NAME

json2stems - Verilator JSON to rtlbrowse stems conversion.

SYNTAX

json2stems METAINFILE TREEINFILE OUTFILE

DESCRIPTION

Converts Verilator JSON AST representation to stems file for use with rtlbrowse. Intended to replace the obsolete xml2stems(1), and in the future, advanced tool features may possibly use additional data provided by the Verilator AST.

EXAMPLES

The following is a chain of commands to compile Verilog source and then bring up gtkwave and rtlbrowse together for source code annotation. This assumes the file des.fst was already generated from a prior simulation.

verilator -Wno-fatal des.v -json-only --bbox-sys

json2stems obj_dir/Vdes.tree.meta.json obj_dir/Vdes.tree.json des.stems

gtkwave -t des.stems des.fst

AUTHORS

Leon Wandruschka <leon.wandruschka@outlook.com>

SEE ALSO

rtlbrowse(1) xml2stems(1) gtkwave(1)